Holographic Displays v3.0.1

Details

  • Filename
    HolographicDisplays.jar
  • Uploaded by
  • Uploaded
    Feb 5, 2023
  • Size
    857.30 KB
  • Downloads
    38,500
  • MD5
    67fac914fcaef451726779a3090d0762

Supported Bukkit Versions

  • 1.19.3
  • 1.19.2
  • 1.19.1
  • 1.19
  • 1.18
  • 1.17
  • 1.16
  • 1.15
  • 1.14
  • 1.13
  • 1.12
  • 1.11
  • 1.10
  • 1.9
  • 1.8

Changelog

Version 3.0.1

Spigot compatibility: from Spigot 1.8.4 to 1.19.3

Holographic Displays v3 includes new features, a new developer API, extensive code refactoring and internal optimizations. Some configuration files have changed, a backup folder will be created (named "old-files") and they will be automatically updated to the new format.

Changes in v3.0.1

  • + Added support for Minecraft 1.19.3.
  • + Added configurable view distance for holograms (in config.yml: holograms-view-range)
  • + Added optional short format for PlaceholderAPI (e.g. %player%). Enabled by default, can be disabled in config.yml: placeholders > PlaceholderAPI > expand-short-format. Note: the standard longer format (e.g. {papi: player}) is always allowed.
  • * Smaller bug fixes.

Changes in v3.0.0

  • + Added support for Minecraft up to 1.19.2.
  • + Now uses packets instead of real entities. ProtocolLib is no longer required for individual placeholders (such as {player}) and the VisibilityManager API (for developers).
  • + PlaceholderAPI support (e.g.: {papi: player_name}). Backslash (\) can be used to escape curly braces ({ and }) inside complex placeholders, example:  {papi: math_\{bungee_lobby1\}+\{bungee_lobby2\}}.
  • + Holograms can now be in unloaded worlds, they are loaded dynamically with the worlds.
  • + Added new developer API. It's not required to update for now, the v2 API will be maintained for a few years.
  • * Changed permissions:
    • Commands now require the permission holographicdisplays.command.<subCommandName> (previously holograms.<subCommandName>).
    • Update notification now requires the permission holographicdisplays.update (previously holograms.update).
  • * The rainbow color &u has been replaced with {rainbow} (the old format is still working for now).
  • * Increased maximum text length of hologram lines.
  • * Files format changes (files are updated automatically and a backup folder named "old-files" is generated):
    • In config.yml, the section images and its values have been renamed and combined.
    • symbols.yml has been converted to custom-placeholders.yml and uses a different format.
    • Animations are now YAML files and use a different format.
    • database.yml format has been changed.
  • - Removed support for some outdated minor versions:
    • Spigot 1.8 to 1.8.3 (supported versions: 1.8.4 to 1.8.9)
    • Spigot 1.9 to 1.9.3 (supported version: 1.9.4)
    • Spigot 1.13 (supported version: 1.13.1)
  • - Disabled v1 API (deprecated since 2014): plugins still using it will encounter errors.

 

Older changelogs